
Redmine - Feature #401

Add pdf export for WIKI page

2007-08-02 22:11 - Huang Hai

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 100%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution:    

Description

Add pdf export for WIKI page.

User can click a "pdf" link in wiki page to export content as pdf file.

Related issues:

Related to Redmine - Feature #3463: Export all wiki pages to PDF Closed 2009-06-08

Related to Redmine - Feature #3261: support attachment images in PDF export Closed 2009-04-29

Related to Redmine - Defect #9533: Redmine Wiki Gchart LaTeX-style Formula pl... Closed 2011-11-06

Has duplicate Redmine - Defect #1468: Adding PDF Export to wiki Closed 2008-06-16

Has duplicate Redmine - Feature #1786: Also available in: PDF for Wiki-Pages Closed 2008-08-13

Associated revisions

Revision 7739 - 2011-11-06 11:47 - Toshi MARUYAMA

test: functional: wiki: add tests to show html and txt (#401)

Revision 7740 - 2011-11-06 11:48 - Toshi MARUYAMA

pdf: lib: add a method to export wiki (#401)

Contributed by Jun NAITOH.

Revision 7741 - 2011-11-06 11:49 - Toshi MARUYAMA

pdf: add a new feature to export wiki pdf (#401)

Contributed by Jun NAITOH.

Revision 7742 - 2011-11-06 11:50 - Toshi MARUYAMA

test: functional: wiki: add tests to show pdf (#401)

History

#1 - 2008-09-23 12:57 - Toni Kerschbaum

+1

Is there nay possibility that this feature will be integrated into 0.8?

#2 - 2009-02-05 08:33 - Damien Couderc

+ 1000 !

This IS a must have to create documentations in the wiki sub system and then being able to produce paper versions of those.

#3 - 2009-02-17 08:16 - Damien Couderc

Would it be possible to get that for 0.8.2 ?

#4 - 2009-02-26 22:18 - Anton Dollmaier

+1 for me too

PDF-export would be really nice to have, no need for local pdf printers anymore.
#5 - 2009-04-28 09:16 - Adam Kubica

+1

This is important feature.

#6 - 2009-04-29 14:41 - Kiall Mac Innes

+1

I would also love to see this added.

#7 - 2009-04-29 15:30 - Oskar Nordquist

+1

#8 - 2009-04-29 16:26 - John Cole

+1

#9 - 2009-04-30 10:22 - Tim Sjöstrand

+1

#10 - 2009-04-30 10:47 - Cristi Harjoi

+1

#11 - 2009-04-30 14:44 - Michael Aye

+1

#12 - 2009-04-30 17:14 - Olafur Gislason

+1

Just found this page

http://blog.adsdevshop.com/2007/11/20/easy-pdf-generation-with-ruby-rails-and-htmldoc/

could be helpful to implement this feature into Redmine.

#13 - 2009-04-30 19:23 - Andrew Chaika

Olafur Gislason wrote:

http://blog.adsdevshop.com/2007/11/20/easy-pdf-generation-with-ruby-rails-and-htmldoc/

 I have implemented for myself pdf generation with Prince XML, it works well, but it's not free for non personal use.

#14 - 2009-05-04 15:10 - Damien Couderc

I've been thinking a bit on this problem and the "textile to html to pdf solution" is not the cleanest IMHO.

In fact, a direct textile to pdf renderer would be better but it's not an easy task (and should maybe developed outside of the Redmine project).

If only i'd have more spare time to do it :/

#15 - 2009-05-12 10:17 - Stewart MacArthur

+1 This would be a really useful feature

#16 - 2009-05-19 22:07 - Colan Schwartz

+1

#17 - 2009-11-23 15:50 - Thomas Capricelli

Mediawiki provides this feature through a plugin, and i use it a lot.

I'd love to have this with redmine too :-)

#18 - 2009-11-23 17:42 - Enderson Maia

#3463 is related to this one.

Maybe this could help - http://github.com/mbleigh/princely
#19 - 2009-11-23 22:37 - Felix Schäfer

I was under the impression that redcloth supports exporting textile to LaTeX (although I couldn't find since what version). Not sure how much "other"

stuff you'd need to get the LaTeX to pdf (I do have LaTeX installed on my machines, not sure how much of a dependency you would want to make

that), but that might be a possible solution too.

#20 - 2010-02-18 17:05 - Gabriel Lemarie

Hi All, I'd love this one. By now, I have to export to HTML and merge the files before converting in PDF...

#21 - 2010-03-16 02:00 - K Digidi

+1

#22 - 2010-07-02 13:53 - Thomas Wacker

+1

#23 - 2010-07-03 10:52 - Eric Voisard

+1

#24 - 2010-07-09 03:35 - Jason Eacott

why not skip the html part, and instead go textile to xml, that would seem simple enough, then use xsl-fo to generate pdf?

#25 - 2010-08-05 20:45 - Dylan Yee

Hope to have this feature, +1~!

#26 - 2010-08-06 22:55 - Terence Mill

+1

#27 - 2010-08-11 16:57 - Hervé Ménager

+1

#28 - 2010-08-11 17:09 - Bertrand Néron

+1

#29 - 2010-08-13 00:28 - Terence Mill

You could maybe make use of Apache FOP

#30 - 2010-08-16 17:51 - Guilhem Lettron

+1

Have form for issue export in PDF is great.

#31 - 2010-08-21 09:44 - Werner Marcus

+1

#32 - 2010-08-21 11:51 - Adam Kubica

+1

#33 - 2010-09-17 16:28 - Marton Danoczy

+1

#34 - 2010-10-04 18:24 - Colan Schwartz

Issues can already be exported to PDF, so there's already code in Redmine that can do this.  Can't we just reuse the same code for wiki pages?

#35 - 2010-10-04 22:39 - Arnaud Martel

Colan,

Unfortunately not!!! Issue's pdf export is made with a complete rewrite of the issue using pdf functions... In my opinion, using wkhtmltopdf, as I did for

wiki pages, offers a better result (at least for inline images...) even if I perfectly know that is not perfect (call an external application is never the better

solution if you want scalability and cross-platform support).
#36 - 2010-10-14 18:25 - Evgeny Seliverstov

It will be good even if redmine will export wiki to docbook. Docbook generation is not platform dependent and easier unlike pdf generation (mentioned

wkhtmltopdf can't work on *bsd). For example MoinMoin has DocBook export.

#37 - 2010-12-16 11:41 - Ian DeFazio

+1

#38 - 2011-01-14 11:23 - Quirin Lohr

+1

#39 - 2011-02-04 13:24 - Christian Mayr

- Status changed from New to Resolved

Solved by the wonderful DocPu-Plugin:

http://www.redmine.org/plugins/redmine_doc_pu

#40 - 2011-02-05 02:16 - Thomas Capricelli

Hey, i dont agree. This plugin is probably very cool, but it's not what this ticket is about. As said in the description

User can click a "pdf" link in wiki page to export content as pdf file.

 It's about automatic generation from wiki to pdf.

The plugin is about document publishing, you need the admin of the site to explicitely publish each and every page. Also.. using latex for this seems

overkill.

Unfortunately, i'm not allowed to re-open this bug :-(

#41 - 2011-03-16 13:17 - Joshua Villagomez

I agree with Thomas, ideally, a link option for every wiki would be a great feature to have. This gives user ability to export to PDF on the fly. We can't

have all users be admins using DocPu. There must be a simpler method.

#42 - 2011-03-16 13:18 - Etienne Massip

- Status changed from Resolved to New

#43 - 2011-03-16 19:54 - Terence Mill

Hey guys, "Arnauds first steps" http://www.redmine.org/issues/3463#note-35 looks very promising. Can the plugin use a hooks for new pdl link in wiki

side, better than patching views? Needs some test, also- someone gave it a test?

#44 - 2011-04-28 07:27 - Terence Mill

Looks as the knowledgebase plugin already ships wiki kind export. Maybe functional migration is possible here

#45 - 2011-04-30 04:02 - Toshi MARUYAMA

- Category set to Wiki

#46 - 2011-08-19 22:12 - Josh Davidson

+1

#47 - 2011-08-20 12:16 - Terence Mill

Just another plugin: https://github.com/amartel/redmine_pdf_wiki

#48 - 2011-09-28 11:07 - Jenny Hanes

It will be good even if redmine will export wiki to docbook. Docbook generation is not platform dependent and easier unlike pdf generation (mentioned

wkhtmltopdf can't work on *bsd). 

http://www.mainbrick.com/shop/product/pflasterfugenmoertel/pflasterfugenmoertel-wassertolerant-und-allwettertauglich.html  For example MoinMoin

has DocBook export.

#49 - 2011-10-02 19:06 - Matthias Lohr

+1
#50 - 2011-10-30 02:35 - Jun NAITOH

- File wiki_pdf_export_app.patch added

- File wiki_pdf_export_lib.patch added

- File TestPage.pdf added

I wrote PDF export patch for Wiki Page.

This patch need to http://www.redmine.org/issues/3261#note-15 patch.

I tested on Cent OS 6 and Windows XP and JRuby 1.6.2(CentOS 6.0).

If you need include images, you have to install RMagick.

#51 - 2011-11-06 11:37 - Toshi MARUYAMA

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#52 - 2011-11-06 12:00 - Toshi MARUYAMA

- % Done changed from 0 to 100

I committed this feature from r7739 to r7742.

I posted a new patch at http://www.redmine.org/issues/3261#note-16

#53 - 2011-11-06 13:50 - Jun NAITOH

Thank you!!!

#54 - 2011-11-07 09:12 - Terence Mill

Yuhu!

#55 - 2011-11-13 10:29 - Jean-Philippe Lang

- Status changed from 7 to Closed

Files

wiki_pdf_export_app.patch 1.54 KB 2011-10-30 Jun NAITOH

wiki_pdf_export_lib.patch 1.52 KB 2011-10-30 Jun NAITOH

TestPage.pdf 472 KB 2011-10-30 Jun NAITOH
